function dst = imnorm(src)
    % image normalization
    % This function normalize the src image between 0 and 1.
    % The input argument is src (source image).
    % The output argument is dst (destination).
    
    [h, w] = size(src);
    
    min_src = min(src(:)); % minimum value
    max_src = max(src(:)); % maximum value
    denom = max_src - min_src; % denominator
	
    if denom ~= 0
        dst = (src - min_src)./denom;
    else % elseif denom == 0
        if max_src < 0.5
            dst = zeros(h, w);
        else
            dst = ones(h, w);
        end
    end
    
end

