function SparLoc = sparsitylocations(B_DCT_Qtiz)
    % localizing sparsity locations
    % input argument: the quantized block 'B_DCT_Qtiz'
    % output argument: the sparsity locations 'SparLoc'
    
    % ********************* Mp based on frequency regions *********************
    Mp = [0 1 1 2 2 2 2 2;
          1 1 2 2 2 2 2 2;
          1 3 4 4 4 4 2 2;
          3 3 4 4 4 4 5 5;
          3 3 4 4 4 5 5 5;
          3 3 4 4 5 5 5 5;
          3 3 3 5 5 5 5 5;
          3 3 3 5 5 5 5 5]; % matrix of partitions (or clusters) ---> standard: DC mode partition = 0 & AC modes partitions = 1, 2, 3, ...
    % ************************************************************************* 
    
    SparLoc = '00000'; % initialization
    for k = 1:max(Mp(:))
        [r, c, v] = find(Mp == k);
        FR_k = zeros(length(v), 1);% initialization of k th frequency regions
        for i = 1:length(v)
            FR_k(i) = B_DCT_Qtiz(r(i), c(i));
        end
        a = length(find(FR_k ~= 0));
        if a ~= 0
            SparLoc(k) = '1';
        end
        clear FR_k
    end
    
end

